summaryrefslogtreecommitdiffstats
path: root/system/s3fs-fuse/s3fs-fuse.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/s3fs-fuse/s3fs-fuse.SlackBuild')
-rw-r--r--system/s3fs-fuse/s3fs-fuse.SlackBuild11
1 files changed, 4 insertions, 7 deletions
diff --git a/system/s3fs-fuse/s3fs-fuse.SlackBuild b/system/s3fs-fuse/s3fs-fuse.SlackBuild
index 567ad1dfc6..b459b03228 100644
--- a/system/s3fs-fuse/s3fs-fuse.SlackBuild
+++ b/system/s3fs-fuse/s3fs-fuse.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for s3fs-fuse
-# Copyright 2020-2021 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2020-2024 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=s3fs-fuse
-VERSION=${VERSION:-1.91}
+VERSION=${VERSION:-1.94}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -64,7 +61,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -101,7 +98,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog *.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install